Bug 977460 - '+' sign in jar url is converted to %20
'+' sign in jar url is converted to %20
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: icedtea-web (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Andrew Azores
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-24 11:37 EDT by Sergio Pascual
Modified: 2013-10-03 21:58 EDT (History)
4 users (show)

See Also:
Fixed In Version: icedtea-web-1.4.1-0.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-19 10:00:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Icedtea Bugzilla 1465 None None None Never

  None (edit)
Description Sergio Pascual 2013-06-24 11:37:21 EDT
Description of problem:
I'm trying to connect to a Juniper VPN. It fails. At some stage, it tries to download a JAR. In the logs I see this

Attempted to download https://vpn.some.url/dana-cached/java,DSID=a26caafdd430def98ed5657587f660e4%20/Neoterissun.jar, but failed to connect!
JAR https://vpn.some.url/dana-cached/java,DSID=a26caafdd430def98ed5657587f660e4+/Neoterissun.jar

netx: Initialization Error: Could not initialize applet. (Fatal: Application Error: Unknown Main-Class. Could not determine the main class for this application.)

Notice the %20/Neoterissun.jar in the URL, which is not +/Neoterissun.jar

Version-Release number of selected component (if applicable):
icedtea-web-1.4-2.fc19.x86_64
Comment 1 jiri vanek 2013-06-25 04:51:53 EDT
It is suspicious - this should be fixed - see http://icedtea.classpath.org/hg/icedtea-web/rev/3e4b40d47487
Comment 2 jiri vanek 2013-06-25 04:52:45 EDT
sorry. Clipboard betrayal - see - http://icedtea.classpath.org/bugzilla/show_bug.cgi?id=1465
Comment 3 Sergio Pascual 2013-06-25 05:59:40 EDT
It's fixed upstream, but the tarball in Fedora doesn't contain the fix.

I have downloaded the rawhide SRPM and the last entry in the Changelog is, well, yours

2013-05-03  Jiri Vanek  <jvanek@redhat.com>
 Reverted "Remove only occurence of LEGACY_XULRUNNERAPI" patch

And the fix is 

2013-06-07  Adam Domurad  <adomurad@redhat.com>
	Fix PR1465
         * NEWS: Bug fix note

So, to fix this we need to update the RPM with source directly taken from Mercurial, or to ask upstream to make a new release
Comment 4 Sergio Pascual 2013-09-19 06:24:33 EDT
Could you please update to 1.4.1 in f19 and f18? That version fixes this bug. Thanks
Comment 5 udo 2013-09-19 06:57:28 EDT
Where can we obtain such update?
Yum does not show me a regular update with that version.
Comment 6 Sergio Pascual 2013-09-19 09:36:21 EDT
Oh, its in testing

https://admin.fedoraproject.org/updates/FEDORA-2013-17026/icedtea-web-1.4.1-0.fc19

@jvanek

you can add this bug to the list of bugs fixed in the updates page
Comment 7 jiri vanek 2013-09-19 10:00:21 EDT
it was not mentioned in news so forgotten., Thanx for letting me know.
Comment 8 Fedora Update System 2013-09-19 10:02:38 EDT
icedtea-web-1.4.1-0.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/FEDORA-2013-16971/icedtea-web-1.4.1-0.fc20
Comment 9 Fedora Update System 2013-09-19 10:02:50 EDT
icedtea-web-1.4.1-0.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/FEDORA-2013-17016/icedtea-web-1.4.1-0.fc18
Comment 10 Fedora Update System 2013-09-19 10:04:46 EDT
icedtea-web-1.4.1-0.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/FEDORA-2013-16971/icedtea-web-1.4.1-0.fc20
Comment 11 Fedora Update System 2013-09-22 20:26:46 EDT
icedtea-web-1.4.1-0.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 udo 2013-09-23 00:47:14 EDT
Please do not forget fedora 19.
Comment 13 Fedora Update System 2013-10-03 21:58:35 EDT
icedtea-web-1.4.1-0.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.